# $Revision: 1.17 $, $Date: 2010/05/12 11:35:41 $
# NOTE:
# - it builds with any JDK, but it runs on java-sun only. It's not able to
#   connect to LDAP on icedtea6
%include	/usr/lib/rpm/macros.java
Summary:	LDAP browser
Summary(pl.UTF-8):	Przeglądarka LDAP
Name:		JXplorer
Version:	3.2
Release:	4
License:	Computer Associates Open Source Software License
Group:		Applications/Databases/Interfaces
Source0:	http://dl.sourceforge.net/jxplorer/JXv%{version}deploy.tar.bz2
# Source0-md5:	5cd9766391995736164b17a30354d72e
Source1:	http://dl.sourceforge.net/jxplorer/JXv%{version}src.tar.bz2
# Source1-md5:	7773a4de17a935db2aaaf3984772fcb1
Source2:	%{name}.sh
Source3:	%{name}.jxconfig.txt
Source4:	%{name}.desktop
Patch0:		%{name}-NoInstallAnywhere.patch
URL:		http://www.jxplorer.org/
BuildRequires:	ant
BuildRequires:	icoutils
BuildRequires:	jar
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	sed >= 4.0
BuildConflicts:	java-gcj-compat-devel
Requires:	java-help
Requires:	java-junit
Requires:	java-sun-jre-base-X11
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JXplorer is a standards compliant general purpose LDAP browser that
can be used to read and search any LDAP directory, or any X.500
directory with an LDAP interface. It is available for immediate free
download under a standard OSI-style open source licence.

%description -l pl.UTF-8
JXplorer jest zgodną ze standardami przeglądarką LDAP ogólnego
przeznaczenia. Programu tego można używać do przeglądania i
modyfikowania dowolnego katalogu LDAP, lub dowolnego katalogu zgodnego
z X.500 posiadającego interfejs LDAP.

%prep
%setup -q -b 1 -n jxplorer

%undos build.xml

icotool -x -o jxplorer.png jxplorer.ico

%patch0 -p0

install %{SOURCE2} jxplorer.sh
install %{SOURCE3} jxconfig.txt
%{__sed} -i -e 's~@DATADIR@~%{_datadir}/%{name}~g' jxconfig.txt jxplorer.sh
%{__sed} -i -e 's~@JVMDIR@~%{_jvmdir}~g' jxplorer.sh

%build
export JAVA_HOME="%{java_home}"

export LC_ALL=en_US # source code not US-ASCII

%ant clean
%ant
%ant jar

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install jxplorer.sh $RPM_BUILD_ROOT%{_bindir}/jxplorer

install -d $RPM_BUILD_ROOT%{_javadir}/%{name}
install jxplorer.jar $RPM_BUILD_ROOT%{_javadir}/jxplorer-%{version}.jar
ln -s jxplorer-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jxplorer.jar

install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{htmldocs,icons,images,language,security,conftemplate}
install htmldocs/* $RPM_BUILD_ROOT%{_datadir}/%{name}/htmldocs
install icons/* $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
install images/* $RPM_BUILD_ROOT%{_datadir}/%{name}/images
install language/* $RPM_BUILD_ROOT%{_datadir}/%{name}/language
install security/* $RPM_BUILD_ROOT%{_datadir}/%{name}/security
install connections.txt $RPM_BUILD_ROOT%{_datadir}/%{name}/conftemplate

install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/{country,images,inetOrgPerson,locality,newPilotPerson,organization,organizationalPerson,organizationalUnit,person,schema}
install templates/country/*              $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/country
install templates/images/*               $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/images
install templates/inetOrgPerson/*        $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/inetOrgPerson
install templates/locality/*             $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/locality
install templates/newPilotPerson/*       $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/newPilotPerson
install templates/organization/*         $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/organization
install templates/organizationalPerson/* $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/organizationalPerson
install templates/organizationalUnit/*   $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/organizationalUnit
install templates/person/*               $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/person
install templates/schema/*               $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/schema
install templates/*.*			 $RPM_BUILD_ROOT%{_datadir}/%{name}/templates

install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install log4j.xml $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/log4j.xml
install jxconfig.txt $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/jxconfig.txt
install connections.txt $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/connections.txt

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}/jxplorer.desktop
install jxplorer.png $RPM_BUILD_ROOT%{_pixmapsdir}/jxplorer.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc RELEASE.TXT example.ldif licence.txt
%attr(755,root,root) %{_bindir}/jxplorer
%{_javadir}/jxplorer.jar
%{_javadir}/jxplorer-%{version}.jar
%{_datadir}/%{name}
%{_pixmapsdir}/jxplorer.png
%{_desktopdir}/jxplorer.desktop
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/connections.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/log4j.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/jxconfig.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: JXplorer.spec,v $
Revision 1.17  2010/05/12 11:35:41  baggins
- rel 4
- fixed desktop categories

Revision 1.16  2010/04/23 13:54:08  pawelz
- let's call it typo

Revision 1.15  2010/04/23 13:52:52  pawelz
- more @DATADIR@ substitutions
- don't install help.jar, we use classes from java-help package
- don't create subdirectory in %{_javadir} for single jar
- drop /etc/sysconfig stuff

Revision 1.14  2010/04/23 13:43:01  pawelz
- force java-sun-jre, it builds on any JDK, but works only on java-sun
- corect use of run() jpackage-utils function
- use @ instead of == to mark substitution placeholders
- rel 3

Revision 1.13  2010/04/20 16:12:18  pawelz
- s/junit/java-junit/ in deps
- rel 2

Revision 1.12  2010/04/19 18:38:33  pawelz
- use %undos macro
- BC: java-gcj-compat-devel

Revision 1.11  2010/04/17 07:44:26  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.10  2010/02/12 16:04:05  pawelz
- BR: java-sun, yet another app that does not build with broken RMS' something-like-java-compiler.

Revision 1.9  2009/04/03 15:14:10  pawelz
- javahelp is java-help now

Revision 1.8  2008/08/31 17:43:41  qboosh
- unified

Revision 1.7  2008/08/10 16:10:27  pawelz
- R: jre-X11
- sorted BRs

Revision 1.6  2008/08/04 06:41:21  pawelz
- seems to work: rel 1

Revision 1.5  2008/07/27 18:54:47  pawelz
- added .desktop file
- use icotool to extract .png icon from .ico file

Revision 1.4  2008/07/20 18:50:30  pawelz
- BR: jar

Revision 1.3  2008/07/17 07:21:44  glen
- BR sed 4

Revision 1.2  2008/07/16 21:58:28  pawelz
- undos build.xml

Revision 1.1  2008/07/16 20:24:18  pawelz
- LDAP browser
- initial PLD release
